Boomi Platform Connector API Reference (1.0.0) - ConnectorArchive
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Autoconfigure an entire connector - connector group, classification, and version - by a single upload of a connector archive. The connector built this way can be directly used in the build tab as part of processes.
Features and Privileges
In addition to the developer privilege and the SDK publisher agreement, ensure that you have:
CONNECTOR_ADMINISTRATION feature — Controls the CONNECTOR_SUBMISSION privilege
CONNECTOR_SUBMISSION privilege — Required to autoconfigure a connector from a connector archive.
Autoconfigure a connector from a connector archive
This request will have a single form data input with connectorArchive key. The zip file being uploaded should contain a MANIFEST.MF file that should at minimum, have a display name that will be used as the display-name for the resultant connector . A classification can be optionally provided in the manifest which is used while creating the connector classification associated with this connector.
If successful, the API returns a response that has details of the connector group, classification, and versions created using the connector archive.
Authorizations:
Responses
Response Schema:
required | object (User) |
| dateCreated required | string <date-time> |
| groupType required | string |
| lastModifiedDate required | string <date-time> |
| name required | string |
Array of objects (ConnectorClassification) | |
| deleted | boolean |
object (ConnectorVendor) | |
Array of objects (APIConnectorVersion) |
Response samples
- 200
- 403
- 410
- 503
{- "classifications": [
- {
- "classification": "dev",
- "classificationType": "sample-connector-classification",
- "createdBy": {
- "email": "testUser@boomi.com",
- "firstName": "Boomi",
- "lastName": "User"
}, - "dateCreated": "2019-08-24T14:15:22Z",
- "deleted": true,
- "displayName": "Sample connector",
- "groupType": "sample-connector",
- "lastModifiedDate": "2019-08-24T14:15:22Z",
- "pendingVersion": "3",
- "releaseDate": "2019-08-24T14:15:22Z",
- "reviewStatus": "APPROVED",
- "version": "3",
- "visibility": "PUBLIC"
}
], - "createdBy": {
- "email": "testUser@boomi.com",
- "firstName": "Boomi",
- "lastName": "User"
}, - "dateCreated": "2019-08-24T14:15:22Z",
- "deleted": true,
- "groupType": "string",
- "lastModifiedDate": "2019-08-24T14:15:22Z",
- "name": "string",
- "vendor": {
- "supportEmail": "boomi@boomi.com",
- "vendorName": "Boomi",
- "vendorProduct": "Boomi",
- "vendorProductVersion": "1"
}, - "versions": [
- {
- "ConnectorVersionMetadata": {
- "strictClassLoading": "false"
}, - "carLink": "string",
- "changeLog": "string",
- "deleted": true,
- "deletedBy": {
- "email": "testUser@boomi.com",
- "firstName": "Boomi",
- "lastName": "User"
}, - "deletedDate": "2019-08-24T14:15:22Z",
- "displayVersion": "string",
- "pendingConnectorReview": {
- "submittedBy": {
- "email": "testUser@boomi.com",
- "firstName": "Boomi",
- "lastName": "User"
}, - "submittedDate": "2019-08-24T14:15:22Z"
}, - "releaseVersion": true,
- "reviewStatus": "APPROVED",
- "uploadedBy": {
- "email": "testUser@boomi.com",
- "firstName": "Boomi",
- "lastName": "User"
}, - "uploadedDate": "2019-08-24T14:15:22Z",
- "versionId": "string"
}
]
}